<%
	Response.Buffer=True

	' Create an instance of the XSession Object
	Set oXSession = Server.CreateObject("SMUM.XSession.1")

	' Check to see if the User has visited the site before.
	' If they have then set the bHereBefore Boolean to 
	' True, else set it to False and use the XSession object
	' to store True to the hard drive

	If (Len(oXSession("HereBefore"))=0) Then
		bHereBefore=False
		oXSession("HereBefore")=True
	Else
		bHereBefore=CBool(oXSession("HereBefore"))
		If (Not bHereBefore) Then
			oXSession("HereBefore")=True
		End If
	End If

	' Want to make sure that the welcome screens
	' expire for both IE 3.0 and IE 4.0.
	' This prevents the welcome screen from reappearing.
	If (bHereBefore=False) Then
		Response.Expires=0
	End If
%>
<!--#include virtual="sql.asp"-->
<!--#include virtual="global.asp"-->
<!--#include virtual="columns.asp"-->
<!--#include virtual="dhtml_functions.asp"-->
<%

	' IE 3.0 Welcome Screen
	If ((bHereBefore=False) AND (bDHTMLNavigation=False)) Then
		Response.Redirect("html_welcome.asp")
	End If

	' Create an Instance of the ADO Connection object
	Set oConn = Server.CreateObject("ADODB.Connection")
	oConn.Open SQLDSN,SQLUser,SQLPassword

	' Look for Region Input
	lRegionId = CInt(Request("RegionId"))
	If (IsEmpty(lRegionId)) Then
		lRegionId=0
	End If

	' Look for SubSection Input
	lSubSectionId = CInt(Request("SubSectionId"))
	If (IsEmpty(lSubSectionId)) Then
		lSubSectionId=0
	End If

	' Look for Search Input
	strSearch=CStr(Request("qu"))

	' If there is Region Input then Check that
	' Region on or off for that user, depending
	' on previous settings.
	If (lRegionId>0) Then
		strIndex = "Region:" & lRegionId
		If (oXSession(strIndex)="Off") Then
			oXSession(strIndex)="On"
		ElseIf (oXSession(strIndex)="On") Then
			oXSession(strIndex)="Off"
		Else
			oXSession(strIndex)="On"
		End If
	End If
%>
<HTML>
	<HEAD>
		<TITLE><%=gstrSiteName%></TITLE>
	</HEAD>
<!--#include virtual="css.asp"-->
<!--#include virtual="dhtml_jscript.asp"-->
<!--#include virtual="popup_jscript.asp"-->
<%
	If ((bHereBefore=False) AND (bDHTMLNavigation=True)) Then
%>
	<BODY TOPMARGIN=<%=glTopMargin%> BGCOLOR="<%=gstrBodyBGColor%>" TEXT="<%=gstrTextColor%>" LINK="<%=gstrTColor%>" ALINK="<%=gstrTColor%>" VLINK="<%=gstrVLinkColor%>" ONCLICK="doMenu()" ONLOAD="showWelcome()">
<%
	Else
%>
	<BODY TOPMARGIN=<%=glTopMargin%> BGCOLOR="<%=gstrBodyBGColor%>" TEXT="<%=gstrTextColor%>" LINK="<%=gstrTColor%>" ALINK="<%=gstrTColor%>" VLINK="<%=gstrVLinkColor%>" ONCLICK="doMenu()">
<%
	End If
%>
<CENTER>
<TABLE  CELLSPACING=0 CELLPADDING=0 BORDER=0>
	<TR>
		<TD COLSPAN=2 VALIGN=BOTTOM WIDTH=100%>
			<!--#include virtual="header.asp"-->
		</TD>
	</TR>
	<TR>
		<TD WIDTH=4 BGCOLOR=<%=gstrTextColor%>>
		</TD>	
		<TD WIDTH=<%=glPageWidth%>>
			<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0>

<%
				If (bDHTMLNavigation=True) Then
%>
				<TR>
					<TD VALIGN=TOP>
						<!--#include virtual="dhtml_navigation.asp"-->						
					</TD>
				</TR>
<%
				End If
%>
				<TR>
					<TD VALIGN=TOP>
						<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0>
							<TR>
								<TD VALIGN=TOP>
									<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=1>
										<TR>
<%
											If (bDHTMLNavigation=False) Then
%>	
											<TD VALIGN=TOP>
												<!--#include virtual="html_navigation.asp"-->	
											</TD>
<%
											End If
%>
											<TD WIDTH=<%=glTotalColumnWidth%> VALIGN=TOP>
												<TABLE WIDTH=100% CELLSPACING=0 CELLPADDING=0 BORDER=0>
<%
													If (Not IsEmpty(lSubSectionId) AND (lSubSectionId>0)) Then
														Call ColumnsBySubSection(lSubSectionId)
													ElseIf (Not IsEmpty(strSearch) AND (Len(strSearch)>0)) Then
														ColumnsByKeyWord(strSearch)
													Else
														Call NewColumns
													End If
%>
												</TABLE>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR>
					<TD ALIGN=CENTER WIDTH=100% BGCOLOR="<%=gstrPColor%>">
						<TABLE WIDTH=100% CELLSPACING=0 CELLPADDING=0 BORDER=2>
							<TR>
								<TD ALIGN=CENTER>
									<A CLASS="clsLink" HREF="#top">Top</A>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR>
					<TD BGCOLOR=<%=gstrTextColor%> HEIGHT=4>
					</TD>
				</TR>
				<TR>
					<TD>
						<!--#include virtual="buttons.asp"-->
					</TD>
				</TR>
				<TR>
					<TD>
						<!--#include virtual="footer.asp"-->
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
<%
	oConn.Close
%>