<%
	Response.Expires=0
	Response.Buffer=True
%>
<!--#include virtual="sql.asp"-->
<!--#include virtual="global.asp"-->
<%
	strMemberID=Request("MemberID")
	strSubmitted=Request("Submitted")

	Set oConn = Server.CreateObject("ADODB.Connection")
	oConn.Open SQLDSN,SQLUser,SQLPassword

	Set oXCheck = Server.CreateObject("SMUM.XCheck.1")

	' Intialize Values
	bValid=True
	bValidTitle=True
	bValidText=True
	bValidContact=True
	bValidPhone=True
	bValidEmail=True
	bValidCompany=True
	bValidAddress=True
	bValidCity=True
	bValidState=True
	bValidCountry=True
	bValidZipCode=True
	bValidRegion=True
	bValidSubSection=True

	' If this form has been submitted
	' then check the values for validity

	If (strSubmitted="true") Then

		' Collect all the Input in local variables
		strTitle=Trim(Request("Title"))
		strText=Trim(Request("Text"))
		strContact=Trim(Request("Contact"))
		strEmail=Trim(Request("Email"))
		strPhone=Trim(Request("Phone"))
		strCompany=Trim(Request("Company"))
		strAddress=Trim(Request("Address"))
		strCity=Trim(Request("City"))
		strState=Trim(Request("State"))
		strCountry=Trim(Request("Country"))
		strZipCode=Trim(Request("ZipCode"))

		lRegion=CInt(Request("Region"))
		lSubSection=CInt(Request("SubSection"))

		' Check the Title
		if (IsEmpty(strTitle) OR (Len(strTitle)=0)) Then
			bValid=False
			bValidTitle=False
		Else
			If (oXCheck.CountWords(strTitle)>glMaxTitleWordCount) Then
				bValid=False
				bValidTitle=False
			End If
		End If
		
		
		' Check the Text
		lTextWordCount=oXCheck.CountWords(strText)
		If (lTextWordCount<3 OR lTextWordCount>glMaxTextWordCount) then
			bValid=False
			bValidText=False
		End If

		' Check for Profanity
		If (oXCheck.HasProfanity(strText)) Then
			bValid=False
			bValidText=False			
		End If

		' Check Contact Name
		If (oXCheck.IsValidName(strContact)=False) Then
			bValid=False	
			bValidContact=False
		End If

		' Make Sure one of these is set
		' otherwise there is no way to
		' Contact the person
		
		If ((IsEmpty(strPhone) OR (Len(strPhone)=0)) AND (IsEmpty(strEmail) OR (Len(strEmail)=0))) Then
			bValid=False
			bValidEmail=False
			bValidPhone=False
		Else
			' Check Email if it Exists
			If (Not (IsEmpty(strEmail) OR (Len(strEmail)=0))) Then
				If (oXCheck.IsValidEmail(strEmail)=False) Then
					bValidEmail=False
					bValid=False
				End If
			End If

			' Check US Phone Only
			If (strCountry="UNITED STATES") Then
				' Check Phone if it Exists
				If (Not (IsEmpty(strPhone) OR (Len(strPhone)=0))) Then
					If (oXCheck.IsValidPhoneNumber(strPhone)=False) Then
						bValidPhone=False
						bValid=False
					End If
				End If			
			End If
		End If

		' Check to make sure company
		' name is filled out
		If (IsEmpty(strCompany) OR (Len(strCompany)=0)) Then
			bValid=False
			bValidCompany=False
		End If

		' Check Country
		If (IsEmpty(strCountry)) Then
			bValid=False
			bValidCountry=False
		End If

		' Check a few things if in
		' the USA
		If (strCountry="UNITED STATES") Then
			
			' Check Address
			If (oXCheck.IsValidAddress(strAddress)=False) Then
				bValidAddress=False
				bValid=False
			End If 

			' Check the City
			If (oXCheck.IsValidCity(strCity)=False) Then
				bValidCity=False
				bValid=False
			End If

			' Check the State
			If (oXCheck.IsValidState(strState)=False) Then
				bValidState=False
				bValid=False
			End If

			' Check the ZipCode
			If (oXCheck.IsValidUSZipCode(strZipCode)=False) Then
				bValidZipCode=False
				bValid=False
			End If
		Else
			' Never Error on State
			bValidState=True
	
			' Check Foreign Addresses
			If (IsEmpty(strAddress) OR (Len(strAddress)=0)) Then
				bValidAddress=False
				bValid=False			
			End If

			' Check Foreign City
			If (IsEmpty(strCity) OR (Len(strCity)=0)) Then
				bValidCity=False
				bValid=False
			End If

			' Check Foreign Postal Code
			If (IsEmpty(strZipCode) OR (Len(strCity)=0)) Then
				bValidZipCode=False
				bValid=False
			End If
		End If

		If (lRegion=0) Then
				bValidRegion=False
				bValid=False			
		End If

		If (lSubSection=0) Then
				bValidSubSection=False
				bValid=False			
		End If

		If (bValid=True) Then
			' Write to the Database

			' Clean up the input for writing to
			' the SQL server database

			strTitle=Replace(strTitle,"'","''")
			strText=Replace(strText,"'","''")
			strCompany=Replace(strCompany,"'","''")
			strAddress=Replace(strAddress,"'","''")
			strCity=Replace(strCity,"'","''")
			strContact=Replace(strContact,"'","''")
			
			' Execute the SQL Statement

			strSQL =	"INSERT INTO Post (" &_
						"Post_Title, " &_
						"Post_Text, " &_
						"Post_Region_Id, " &_
						"Post_SubSection_Id, " &_
						"Post_Company, " &_
						"Post_Address, " &_
						"Post_City, " &_
						"Post_Country, " &_
						"Post_ZipCode, " &_
						"Post_Phone, " &_
						"Post_Email, " &_
						"Post_Contact, " &_
						"Post_Member_Id " &_
						") VALUES (" &_
						"'" & strTitle & "'," &_
						"'" & strText & "'," &_
						"" & lRegion & "," &_
						"" & lSubSection & "," &_
						"'" & strCompany & "'," &_
						"'" & strAddress & "'," &_
						"'" & strCity & "'," &_
						"'" & strCountry & "'," &_
						"'" & strZipCode & "'," &_
						"'" & strPhone & "'," &_
						"'" & strEmail & "'," &_
						"'" & strContact & "'," &_
						"'" & lMemberId & "') "&_
						"SELECT @@IDENTITY 'Id'"

			Response.Write(strSQL)

			' Execute the Insert
			Set oRS=oConn.Execute(strSQL)
			Set oRS=oRS.NextRecordset
			If (Not oRS.EOF) Then
				lPostId=oRS("Id")
			Else
				lPostId=0
			End If

			' Close it here since we are leaving
			oConn.Close

			' Get the done page
			Response.Redirect("done.asp?Id=" & lPostId)
		End If

	End If
%>
<!--#include virtual="css.asp"-->
<HTML>
<HEAD>
	<TITLE>New Posting</TITLE>
</HEAD>
<BODY BGCOLOR="<%=gstrBodyBGColor%>"  TEXT="<%=gstrTextColor%>" LINK="<%=gstrTColor%>" ALINK="<%=gstrTColor%>" VLINK="<%=gstrVLinkColor%>">
<!--#include virtual="newpost_text.asp"-->
<%
	If (bValid=False) Then
%>
<CENTER><H3>Error</H3></CENTER>
Please fill out the <FONT COLOR=#FF0000>red</FONT> fields correctly.  If you are having problems filling out the form please email <A HREF="mailto:<%=gstrCustServiceEmail%>"><%=gstrCustServiceEmail%></A> with a description of the problem.
<%
	End If
%>
<CENTER>
<FORM ACTION="NewPost.asp" METHOD=POST>
<TABLE CELLSPACING=3 CELLPADDING=0 BORDER=0>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidTitle=False) Then
%>
				<FONT COLOR=#FF0000><B>Ad Title</B></FONT>
<%
			Else
%>
				<B>Ad Title</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=40 MAXLENGTH=100 NAME="Title" VALUE="<%=strTitle%>">
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidRegion=False) Then
%>
				<FONT COLOR=#FF0000><B>Region</B></FONT>
<%
			Else
%>
				<B>Region</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<SELECT CLASS="clsSelect" NAME="Region">
						<OPTION VALUE=0>Choose a Region
<%
				Set oRS = oConn.Execute("SELECT Region_Id 'Id', Region_Title 'Title' FROM Region ORDER BY Region_Title")

				Do While (Not oRS.EOF)

					If (lRegion=oRS("Id")) Then
%>
						<OPTION SELECTED VALUE="<%=oRS("Id")%>"><%=oRS("Title")%>
<%
					Else
%>
						<OPTION VALUE="<%=oRS("Id")%>"><%=oRS("Title")%>
<%
					End If
					oRS.MoveNext
				Loop
				oRS.Close
%>
			</SELECT>
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidSubSection=False) Then
%>
				<FONT COLOR=#FF0000><B>Category</B></FONT>
<%
			Else
%>
				<B>Category</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<SELECT CLASS="clsSelect" NAME="SubSection">
					<OPTION VALUE=0>Choose a Category</A>
<%
					Set oRS = oConn.Execute("SELECT DISTINCT SubSection_Id 'Id', SubSection_Title 'Title', SubSection_SubTitle 'SubTitle' FROM SubSection ORDER BY SubSection_Title")
							
					Do While (Not oRS.EOF)	

						strSubTitle=oRS("Title") & " " & oRS("SubTitle")

						If (lSubSection=oRS("Id")) Then
%>
								<OPTION SELECTED VALUE=<%=oRS("Id")%>><%=strSubTitle%></A>
<%
						Else
%>			
								<OPTION VALUE=<%=oRS("Id")%>><%=strSubTitle%></A>
<%
						End If

						oRS.MoveNext
					Loop
%>
			</SELECT>
		</TD>
	</TR>
	<TR>
		<TD ALIGN=RIGHT>
<%
			If (bValidText=False) Then
%>
				<FONT COLOR=#FF0000><B>Ad Description</B><BR>less then <%=glMaxTextWordCount%> words</FONT>
<%
			Else
%>
				<B>Ad Description</B><BR>less than <%=glMaxTextWordCount%> words
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<TEXTAREA COLS=30 ROWS=7 NAME="Text"><%=strText%></TEXTAREA>
		</TD>
	</TR>
	<TR>
		<TD COLSPAN=2 ALIGN=CENTER><HR></TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidContact=False) Then
%>
				<FONT COLOR=#FF0000><B>Contact Name</B></FONT>
<%
			Else
%>
				<B>Contact Name</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=40 MAXLENGTH=100 NAME="Contact" VALUE="<%=strContact%>">
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidEmail=False) Then
%>
				<FONT COLOR=#FF0000><B>Contact's Email<SUP>*</SUP></B></FONT>
<%
			Else
%>
				<B>Contact's E-mail<SUP>*</SUP></B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=40 MAXLENGTH=75 NAME="Email" VALUE="<%=strEmail%>">
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidPhone=False) Then
%>
				<FONT COLOR=#FF0000><B>Contact's Phone<SUP>*</SUP></B></FONT>
<%
			Else
%>
				<B>Contact's Phone<SUP>*</SUP></B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=20 MAXLENGTH=20 NAME="Phone" VALUE="<%=strPhone%>">
		</TD>
	</TR>
	<TR>
		<TD COLSPAN=2 ALIGN=CENTER><HR></TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidCompany=False) Then
%>
				<FONT COLOR=#FF0000><B>Company Name</B></FONT>
<%
			Else
%>
				<B>Company Name</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=40 MAXLENGTH=100 NAME="Company" VALUE="<%=strCompany%>">
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidAddress=False) Then
%>
				<FONT COLOR=#FF0000><B>Address</B></FONT>
<%
			Else
%>
				<B>Address</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=40 MAXLENGTH=100 NAME="Address" VALUE="<%=strAddress%>">
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidCity=False) Then
%>
				<FONT COLOR=#FF0000><B>City</B></FONT>
<%
			Else
%>
				<B>City</B>
<%
			End If
%>
		</TD>
		<TD>
			<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0>
				<TR>
					<TD ALIGN=LEFT>
						<INPUT TYPE=TEXT SIZE=20 MAXLENGTH=40 NAME="City" VALUE="<%=strCity%>">
					</TD>
					<TD NOWRAP ALIGN=RIGHT>
<%
					If (bValidState=False) Then
%>
						<FONT COLOR=#FF0000><B>State</B></FONT>
<%
					Else
%>
						<B>State</B>
<%
					End If
%>
					</TD>
					<TD ALIGN=LEFT>
					<SELECT CLASS="clsSelect" NAME="State">
					<OPTION>
			<%
					For Each State in oXCheck.StateIntials
						If (strState = State) Then
			%>
					<OPTION SELECTED><%=State%>
			<%
						else
			%>
					<OPTION><%=State%>
			<%
						End If
					Next
			%>
					</SELECT>
					</TD>
				</TR>
			</TABLE>
		</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidCountry=False) Then
%>
				<FONT COLOR=#FF0000><B>Country</B></FONT>
<%
			Else
%>
				<B>Country</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<SELECT CLASS="clsSelect" NAME="Country">
			<OPTION>
<%
			For Each Country in oXCheck.Countries
				If (strCountry = Country) Then
%>
				<OPTION SELECTED><%=Country%>
<%
				else
%>
				<OPTION><%=Country%>
<%
				End If
			Next
%>
			</SELECT>
		</TD>
	</TR>
	<TR>
		<TD NOWRAP ALIGN=RIGHT>
<%
			If (bValidZipCode=False) Then
%>
				<FONT COLOR=#FF0000><B>Postal Code</B></FONT>
<%
			Else
%>
				<B>Postal Code</B>
<%
			End If
%>
		</TD>
		<TD ALIGN=LEFT>
			<INPUT TYPE=TEXT SIZE=14 MAXLENGTH=14 NAME="ZipCode" VALUE="<%=strZipCode%>">
		</TD>
	</TR>
	<TR>
		<TD ALIGN=CENTER NOWRAP COLSPAN=2>
			<INPUT TYPE=SUBMIT VALUE="Post Ad">
		</TD>
	</TR>
	<TR>
		<TD COLSPAN=2>
			<SUP>*</SUP> Optional, however either the e-mail address or the phone number must be filled out.
		</TD>
	</TR>
</TABLE>
<INPUT TYPE=HIDDEN NAME="Id" VALUE="<%=lMemberId%>">
<INPUT TYPE=HIDDEN NAME="Submitted" VALUE="true">
</FORM>
</TABLE>
</CENTER>
<!--#include virtual="footer.asp"-->
</BODY>
</HTML>
<%
oConn.Close
%>